<?php

use App\Models\Album;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('images', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->boolean('isCover');
            $table->boolean('isProcessing');
            $table->bigInteger(column: 'lightboxWidth', unsigned: true)->default(0);
            $table->bigInteger(column: 'lightboxHeight', unsigned: true)->default(0);
            $table->foreignIdFor(Album::class);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('images');
    }
};
